import request from '@/utils/httpRequest'

export default class RankLevelService {
  list (params) {
    return request({
      url: '/rank/rank_level/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/rank/rank_level/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/rank/rank_level/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/rank/rank_level/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  updateSort (params) {
    return request({
      url: `/rank/rank_level/updateSort`,
      method: 'post',
      data: params
    })
  }
}
